hifrog - Bug #5104

Why CBMC does not verify many benchs but we do!!! Is there something wrong?
02/05/2017 17:44 - Sepideh Asadi

Status: Closed Start date: 02/05/2017
Priority: Low Due date:

Assignee: Sepideh Asadi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

HiFROG:

ldv-challenges/linux-3.8-rc1-32_7a-drivers--net--ethernet--emulex--benet--be2net.ko-ldv_main0_sequence_infinite_withcheck_statefu
|_true-unreach-call.cil.out.c UNSAT 0.476

CBMC:
ldv-challenges/linux-3.8-rc1-32_7a-drivers--net--ethernet--emulex--benet--be2net.ko-ldv_main0_sequence_infinite_withcheck_statefu
|_true-unreach-call.cil.out.c NoResult Timeout

History

#1 - 30/05/2017 23:03 - Karine Even Mendoza
- Status changed from New to Feedback
- Assignee set to Sepideh Asadi

- Priority changed from Normal to Low

shall unwind to 40, it seems like both of the tools iterates for ever...
Can you please have a look too?

It is not even getting to the stage of checking a claim since both tools run long in the parsing stage...

#2 - 16/06/2017 18:16 - Karine Even Mendoza
- Status changed from Feedback to Closed
